/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   cube3D.h                                           :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: erey-bet <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/04/26 12:34:04 by erey-bet          #+#    #+#             */
/*   Updated: 2023/04/26 15:20:47 by erey-bet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef CUBE3D_H
# define CUBE3D_H

# include <sys/types.h>
# include "MLX42/include/MLX42/MLX42.h"
# include <X11/keysym.h>
# include <X11/X.h>
# include <stdlib.h>
# include <stdio.h>

// img: 0=Nord, 1=WEST, 2=SUD, 3=EAST;

typedef struct s_map
{
	char	**map;
	size_t	size_x;
	size_t	size_y;
	void	*img[4];
	long	color_bot;
	long	color_top;
}	t_map;

t_map	*map_parsing(char *path);
int		start_game(t_map *map);

#endif 
